org.apache.commons.beanutils.locale.converters

## Class StringLocaleConverter

- java.lang.Object
- - org.apache.commons.beanutils.locale.BaseLocaleConverter
  - - org.apache.commons.beanutils.locale.converters.StringLocaleConverter

- All Implemented Interfaces:
    Converter, LocaleConverter

      public class StringLocaleConverter
      extends BaseLocaleConverter

  Standard `LocaleConverter` implementation that converts an incoming locale-sensitive object into a `java.lang.String` object, optionally using a default value or throwing a `ConversionException` if a conversion error occurs.

  Version:
    $Id$

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `locale, locPattern, pattern, useDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringLocaleConverter()` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(Locale locale)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(Locale locale, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(Locale locale, String pattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue, Locale locale)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue, Locale locale, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue, Locale locale, String pattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
    `StringLocaleConverter(Object defaultValue, Locale locale, String pattern, boolean locPattern)` Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `parse(Object value, String pattern)` Convert the specified locale-sensitive input object into an output object of the specified type.

    - ### Methods inherited from class org.apache.commons.beanutils.locale.BaseLocaleConverter

      `convert, convert, convert, convert`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringLocaleConverter

          public StringLocaleConverter()

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.

    - #### StringLocaleConverter

          public StringLocaleConverter(boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
      Parameters:
        `locPattern` - Indicate whether the pattern is localized or not

    - #### StringLocaleConverter

          public StringLocaleConverter(Locale locale)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `locale` - The locale

    - #### StringLocaleConverter

          public StringLocaleConverter(Locale locale,
                                       boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
      Parameters:
        `locale` - The locale
        `locPattern` - Indicate whether the pattern is localized or not

    - #### StringLocaleConverter

          public StringLocaleConverter(Locale locale,
                                       String pattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `locale` - The locale
        `pattern` - The convertion pattern

    - #### StringLocaleConverter

          public StringLocaleConverter(Locale locale,
                                       String pattern,
                                       boolean locPattern)

      Create a `LocaleConverter` that will throw a `ConversionException` if a conversion error occurs.
      Parameters:
        `locale` - The locale
        `pattern` - The convertion pattern
        `locPattern` - Indicate whether the pattern is localized or not

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine and an unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue,
                                       boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. The locale is the default locale for this instance of the Java Virtual Machine.
      Parameters:
        `defaultValue` - The default value to be returned
        `locPattern` - Indicate whether the pattern is localized or not

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue,
                                       Locale locale)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue,
                                       Locale locale,
                                       boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `locPattern` - Indicate whether the pattern is localized or not

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue,
                                       Locale locale,
                                       String pattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs. An unlocalized pattern is used for the convertion.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `pattern` - The convertion pattern

    - #### StringLocaleConverter

          public StringLocaleConverter(Object defaultValue,
                                       Locale locale,
                                       String pattern,
                                       boolean locPattern)

      Create a `LocaleConverter` that will return the specified default value if a conversion error occurs.
      Parameters:
        `defaultValue` - The default value to be returned
        `locale` - The locale
        `pattern` - The convertion pattern
        `locPattern` - Indicate whether the pattern is localized or not

  - ### Method Detail

    - #### parse

          protected Object parse(Object value,
                                 String pattern)
                          throws ParseException

      Convert the specified locale-sensitive input object into an output object of the specified type.
      Specified by:
        `parse` in class `BaseLocaleConverter`
      Parameters:
        `value` - The input object to be converted
        `pattern` - The pattern is used for the convertion
      Returns:
        The converted value
      Throws:
        `ConversionException` - if conversion cannot be performed successfully
        `ParseException` - if an error occurs

Copyright © 2000–2019 The Apache Software Foundation. All rights reserved.